<?php
/**
 * SqueezeMe functions
 *
 * @package SqueezeMe
 * @since SqueezeMe 1.0
 */

function squeezeme_setup() {
    global $content_width;
    if ( ! isset( $content_width ) )
    {
      $content_width = 740;
    }
 
    //Add default posts and comments RSS feed links to head
    add_theme_support( 'automatic-feed-links' );
    
    // This theme supports Featured Image in posts
    add_theme_support( 'post-thumbnails' );

    // default WP support for theme header
    add_theme_support( 'custom-header' );
    $args = array(
	'default-image' => get_stylesheet_directory_uri() . '/images/header-banner.png',
 	'width'         => 800,
	'height'        => 120,
	'uploads'       => true,
	'header-text'   => false,
	'default-text-color' => '990000'
    );
    add_theme_support( 'custom-header', $args );

    //Enable support for site background change    
    add_theme_support('custom-background');
    $args = array(
    'default-color' => 'f5f5f5',
    'default-image' => get_template_directory_uri() . '/images/background.png',
    );
    add_theme_support( 'custom-background', $args );
    
    //This theme uses wp_nav_menu() in one location.
    register_nav_menus( array(
        'primary' => 'Primary Menu',
        'secondary' => 'No Menu Just the Squeeze Page' 
    ) );
}

    add_action( 'after_setup_theme', 'squeezeme_setup' );

//Enqueue scripts and styles
function squeezeme_scripts() {
    wp_enqueue_style( 'style', get_stylesheet_uri() );
    if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
}
    add_action( 'wp_enqueue_scripts', 'squeezeme_scripts' );


//Init Widget - footer only on this theme 
function squeezeme_sidebar() {
    register_sidebar(array(
      'name'         => 'sidebar',
      'id'           => 'sidebar', 
      'description'  => 'Maximum Three! goes in Footer',   
      'before_widget'=> '<aside id="%1$s" class="widget %2$s">',
      'after_widget' => '</aside>',
      'before_title' => '<h3 class="widgettitle">',
      'after_title'  => '</h3>',
    ));
}
    add_action('widgets_init', 'squeezeme_sidebar');

// Add a class to the body tag when the sidebar is active
function squeezeme_has_sidebar($classes) {
    if (is_active_sidebar('sidebar')) 
    {
    // Add 'class-name' to the $classes array
	$classes[] = 'has_sidebar';		
    }
	// return the $classes array
	return $classes;
}
    add_filter('body_class','squeezeme_has_sidebar');

?>